.\"	$NetBSD: form_opts.3,v 1.8 2004/11/24 12:12:20 wiz Exp $
.\"
.\" Copyright (c) 2001
.\"	Brett Lymn - blymn@baea.com.au, brett_lymn@yahoo.com.au
.\"
.\" This code is donated to The NetBSD Foundation by the author.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the Author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd January 1, 2001
.Dt FORMS 3
.Os
.Sh NAME
.Nm form_opts ,
.Nm form_opts_off ,
.Nm form_opts_on ,
.Nm set_form_opts
.Nd form library
.Sh LIBRARY
.Lb libform
.Sh SYNOPSIS
.In form.h
.Ft Form_Options
.Fn form_opts "FORM *form"
.Ft int
.Fn form_opts_off "FORM *form" "Form_Options options"
.Ft int
.Fn form_opts_on "FORM *form" "Form_Options options"
.Ft int
.Fn set_form_opts "FORM *form" "Form_Options options"
.Sh DESCRIPTION
The function
.Fn form_opts
returns the current options that are set on the given form.
The
.Fn form_opts_off
will turn off the form options given in
.Fa options
for the form, similarly,
.Fn form_opts_on
will turn on the options specified in
.Fa options
for the given form.
The form options can be set to an explicit set by calling
.Fn set_form_opts .
.Sh PARAMETERS
The following form options are valid:
.Pp
.Bl -tag -width O_BS_OVERLOAD -compact
.It O_BS_OVERLOAD
If this option is set and the cursor is at the first character in the
field then the backspace character will perform the same function as a
REQ_PREV_FIELD driver request, moving to the previous field in the
form.
.It O_NL_OVERLOAD
If this option is set and the cursor is at the end of the field then
the new line character will perform the same function as a
REQ_NEXT_FIELD driver request, moving to the next field in the form.
.El
.Pp
By default no form options are set.
.Sh RETURN VALUES
Functions returning pointers will return
.Dv NULL
if an error is detected.
The functions that return an int will return one of the following error
values:
.Pp
.Bl -tag -width E_UNKNOWN_COMMAND -compact
.It Er E_OK
The function was successful.
.El
.Sh SEE ALSO
.Xr curses 3 ,
.Xr forms 3
.Sh NOTES
The header
.Aq Pa form.h
automatically includes both
.Aq Pa curses.h
and
.Aq Pa eti.h .
